#ifndef _CONFIGURATION_H_
#define _CONFIGURATION_H_
#define NO_PIN -1 // indikator nepouziteho pinu

#define __INOVERSION__ __FILE__ " Compiled @" __DATE__ " " __TIME__

#define DEBUG_BUILD // **** ladici varianta s Arduino OTA

#define HTTP_UPDATE // **** moznost aktualizace firmware pres www server pomoci http://%s.local/update
#define HTTP_UPDATE_USERNAME "admin" // **** uzivatelske jmeno pro update firmware (zapoznamkovanim teto definice vypneme nutnost prihlasovani)
#define HTTP_UPDATE_PASSWORD "nimda" // **** uzivatelske heslo pro update firmware

//#define USE_SPIFFS // **** podpora pro praci s SPIFFS souborovym systemem (webovy server dokaze servirovat stranky z SPIFFS)

#define FORCE_CONFIG_BUTTON_PIN NO_PIN // **** I/O pin, pouzity pro vynuceni konfigurace

#define LED_PIN 2//NO_PIN // pin, ke kteremu je pripojena LED dioda

#define HTTP_PORT 80 // port, na kterem pobezi HTTP (www) server

#ifdef DEBUG_BUILD
 #include "src/trace/trace.h"

 #define TRACE(severity, ...) trace_print(severity, __VA_ARGS__)
 #define TRACE_INIT trace_init()
 #define TRACE_ADDWEB(srv) trace_addweb(srv)
 #define TRACE_POLL trace_poll()
#else
 #define TRACE(...) {}
 #define TRACE_INIT {}
 #define TRACE_ADDWEB(a) {}
 #define TRACE_POLL {}
#endif

#define BUFFERSIZE 128 // velikost vyrovnavaciho bufferu

#define VCP_PORT 5555 // cislo pouziteho portu

#define NVT_TX_MAXSIZE 64

#define TX_TIMEOUT_MULTIPLIER 3

#define TX_TIMEOUT_DIVISOR 2

//#define RX_BUFFER_SIZE 4096 // velikost prijimaciho bufferu pro seriovy port v pripade, ze Core uz podporuje nastaveni velikosti (v soucasne dobe pouze github verze...)

#define INITIAL_SERIAL_SPEED 9600 // pocatecni prenosova rychlost

#endif
